@echo off
rgbasm -E -v -p 0xFF -o NSF80.OBJ NSF80.Z80
rgblink -m nsf80MAP.txt -n NSF80.SYM -p 0xFF -o NSF80.GBC NSF80.OBJ
rgbfix -p 0xFF -v NSF80.GBC
binpaste NSF80.GBC GBNSF.PRG 0 0x7F80
goto end

if not exist "%~1" goto end
nsfremap.exe "%~1"
copy /b gbnsf.prg+tmp.nsf GBNSF.GBC
rgbfix -w -p 0xFF -v GBNSF.GBC
del tmp.nsf
:end
